This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### else
Examples |
    for (int i = 5; i < 95; i += 5) {
      if (i < 35) {
        line(30, i, 80, i);
      } else {
        line(20, i, 90, i);
      }
    }
    for (int i = 5; i < 95; i += 5) {
      if (i < 35) {
        line(30, i, 80, i);
      } else if (i < 65) {
        line(20, i, 90, i);
      } else {
        line(0, i, 100, i);
      }
    }
Description | Extends the if structure allowing the program to choose between two or more block of code. It specifies a block of code to execute when the expression in if is false.
Syntax |
    if (expression) {
      statements
    } else {
      statements
    }

    if (expression) {
      statements
    } else if (expression) {
      statements
    } else {
      statements
    }
Parameters |
expression | any valid expression that evaluates to true or false
statements | one or more statements to be executed
Related | if

Updated on October 26, 2013 08:58:34pm PDT